ONVIF::Analytics::Types::MediaAttributes(3)

NAME
ONVIF::Analytics::Types::MediaAttributes

DESCRIPTION
Perl data type class for the XML Schema defined complexType MediaAttributes from the namespace http://www.onvif.org/ver10/schema.

A set of media attributes valid for a recording at a point in time or for a time interval.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RecordingToken

•   TrackAttributes

•   From

•   Until

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::MediaAttributes
   RecordingToken => $some_value, # RecordingReference
   TrackAttributes =>  { # ONVIF::Analytics::Types::TrackAttributes
     TrackInformation =>  { # ONVIF::Analytics::Types::TrackInformation
       TrackToken => $some_value, # TrackReference
       TrackType => $some_value, # TrackType
       Description => $some_value, # Description
       DataFrom =>  $some_value, # dateTime
       DataTo =>  $some_value, # dateTime
     },
     VideoAttributes =>  { # ONVIF::Analytics::Types::VideoAttributes
       Bitrate =>  $some_value, # int
       Width =>  $some_value, # int
       Height =>  $some_value, # int
       Encoding => $some_value, # VideoEncoding
       Framerate =>  $some_value, # float
     },
     AudioAttributes =>  { # ONVIF::Analytics::Types::AudioAttributes
       Bitrate =>  $some_value, # int
       Encoding => $some_value, # AudioEncoding
       Samplerate =>  $some_value, # int
     },
     MetadataAttributes =>  { # ONVIF::Analytics::Types::MetadataAttributes
       CanContainPTZ =>  $some_value, # boolean
       CanContainAnalytics =>  $some_value, # boolean
       CanContainNotifications =>  $some_value, # boolean
     },
     Extension =>  { # ONVIF::Analytics::Types::TrackAttributesExtension
     },
   },
   From =>  $some_value, # dateTime
   Until =>  $some_value, # dateTime
 },

AUTHOR
Generated by SOAP::WSDL